include:
  - local: .gitlab-ci/common.gitlab-ci.yml
  - local: .lib/gitlab-ci/docker-gitlab-registry.gitlab-ci.yml

stages:
  - docker_gitlab-ci

.common:
  stage: docker_gitlab-ci
  variables:
    DOCKER_GROUP: gitlab-ci
    CONTAINER_REF_IMAGE: $CI_REGISTRY_IMAGE/$DOCKER_GROUP:$BUILD_TAG
    CONTAINER_RELEASE_IMAGE: $CI_REGISTRY_IMAGE/$DOCKER_GROUP:$BUILD_TAG
    CONTAINER_TAG_IMAGE: $CI_REGISTRY_IMAGE/$DOCKER_GROUP:$BUILD_TAG
    TF_TAG: light
    VAULT_CLI_VERSION: 1.9.4
  needs: []

.docker:build:
  script:
    - cd gitlab-ci-image
    - docker build
        -t $CONTAINER_REF_IMAGE
        --cache-from $CI_REGISTRY_IMAGE/$DOCKER_GROUP:$BUILD_TAG
        --cache-from $CI_REGISTRY_IMAGE/$DOCKER_GROUP:main
        --build-arg FROM_PREFIX=${FROM_PREFIX}
        --build-arg TF_TAG=${TF_TAG}
        --build-arg VAULT_CLI_VERSION=${VAULT_CLI_VERSION}
        .

review:
  extends: [".review", ".common"]

main:
  extends: [".main", ".common"]

tags:
  extends: [".tags", ".common"]
